## org.eclipse.datatools.modelbase.sql.datatypes
Class CoercibilityType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.CoercibilityType

    public final class CoercibilityType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Coercibility Type', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.2.1 Comparison of character strings

See Also:
  `SQLDataTypesPackage.getCoercibilityType()`

Field Summary
`static int` `COERCIBILE` The 'COERCIBILE' literal value.
`static CoercibilityType` `COERCIBILE_LITERAL` The 'COERCIBILE' literal object.
`static int` `EXPLICIT` The 'EXPLICIT' literal value.
`static CoercibilityType` `EXPLICIT_LITERAL` The 'EXPLICIT' literal object.
`static int` `IMPLICIT` The 'IMPLICIT' literal value.
`static CoercibilityType` `IMPLICIT_LITERAL` The 'IMPLICIT' literal object.
`static int` `NO_COLLATION` The 'NO COLLATION' literal value.
`static CoercibilityType` `NO_COLLATION_LITERAL` The 'NO COLLATION' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Coercibility Type' enumerators.

Method Summary
`static CoercibilityType` `get(int value)` Returns the 'Coercibility Type' literal with the specified integer value.
`static CoercibilityType` `get(java.lang.String literal)` Returns the 'Coercibility Type' literal with the specified literal value.
`static CoercibilityType` `getByName(java.lang.String name)` Returns the 'Coercibility Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMPLICIT

    public static final int IMPLICIT

  The 'IMPLICIT' literal value.

  See Also:
    `IMPLICIT_LITERAL`, Constant Field Values

### EXPLICIT

    public static final int EXPLICIT

  The 'EXPLICIT' literal value.

  See Also:
    `EXPLICIT_LITERAL`, Constant Field Values

### COERCIBILE

    public static final int COERCIBILE

  The 'COERCIBILE' literal value.

  See Also:
    `COERCIBILE_LITERAL`, Constant Field Values

### NO_COLLATION

    public static final int NO_COLLATION

  The 'NO COLLATION' literal value.

  See Also:
    `NO_COLLATION_LITERAL`, Constant Field Values

### IMPLICIT_LITERAL

    public static final CoercibilityType IMPLICIT_LITERAL

  The 'IMPLICIT' literal object.

  If the meaning of 'IMPLICIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IMPLICIT`

### EXPLICIT_LITERAL

    public static final CoercibilityType EXPLICIT_LITERAL

  The 'EXPLICIT' literal object.

  If the meaning of 'EXPLICIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPLICIT`

### COERCIBILE_LITERAL

    public static final CoercibilityType COERCIBILE_LITERAL

  The 'COERCIBILE' literal object.

  If the meaning of 'COERCIBILE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COERCIBILE`

### NO_COLLATION_LITERAL

    public static final CoercibilityType NO_COLLATION_LITERAL

  The 'NO COLLATION' literal object.

  If the meaning of 'NO COLLATION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_COLLATION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Coercibility Type' enumerators.

Method Detail

### get

    public static CoercibilityType get(java.lang.String literal)

  Returns the 'Coercibility Type' literal with the specified literal value.

### getByName

    public static CoercibilityType getByName(java.lang.String name)

  Returns the 'Coercibility Type' literal with the specified name.

### get

    public static CoercibilityType get(int value)

  Returns the 'Coercibility Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.